﻿html {
  height: 100%; }

body {
  height: 100%;
  margin: 0;
  overflow: hidden; }

#layout {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100%; }

#header {
  height: 70px;
  display: flex;
  align-items: center;
  background-color: #137A63;
  flex: 0 0 auto; }

#headerContent {
  margin-left: 10px;
  display: inline-flex;
  flex: 1 0 auto;
  justify-content: space-between;
  align-items: center;
  color: white; }

#headerContentLeft {
  justify-content: flex-start; }

#headerContentRight {
  justify-content: flex-end; }

#page {
  display: flex;
  height: calc(100vh);
  overflow: auto;
  flex-direction: row;
  /* calculate the height. Header is 30px */ }

#sideBar {
  width: 200px;
  min-width: 50px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  /* align items in Main Axis */
  align-items: stretch;
  /* align items in Cross Axis */
  align-content: stretch;
  border-right: 1px solid;
  border-color: rgba(146, 221, 200, 0.1); }

/* Sidebar links */
#sideBar a {
  display: block;
  padding: 16px;
  text-decoration: none; }

/* Active/current link */
#sideBar a.active {
  background-color: #5AA17F;
  color: white; }

#content {
  flex: 1 0 auto;
  overflow: auto;
  min-height: 0; }

#footer {
  height: 40px;
  display: flex;
  align-items: center;
  background-color: #19382E;
  flex: 0 0 auto; }

#footerContent {
  margin-left: 10px;
  display: inline-flex;
  flex: 1 0 auto;
  justify-content: right;
  align-items: center;
  color: white; }

#headerContentLeft {
  justify-content: flex-start; }

#footerContentRight {
  justify-content: flex-end;
  margin: 10px; }

.content-fill {
  display: flex;
  justify-content: center; }

.content-card {
  margin: 10px;
  min-width: 200px;
  justify-content: center; }

a.title, .title.active {
  color: white;
  font-size: 22px; }

.loader-box {
  width: 500px;
  height: 120px;
  margin: 100px auto;
  text-align: center;
  font-family: Consolas, Verdana;
  font-size: 10px; }

/* On screens that are less than 400px, display the bar vertically, instead of horizontally */
@media screen and (max-width: 400px) {
  #sidebar {
    width: 50px; }
  #sidebar a {
    text-align: center;
    float: none; } }
